Bug 159343 - WebRTC: update MediaStream-MediaElement-srcObject.html test and unskip it
Summary: WebRTC: update MediaStream-MediaElement-srcObject.html test and unskip it
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Alejandro G. Castro
URL:
Keywords:
Depends on:
Blocks: 143211
  Show dependency treegraph
 
Reported: 2016-07-01 05:08 PDT by Alejandro G. Castro
Modified: 2016-11-15 04:14 PST (History)
5 users (show)

See Also:


Attachments
Patch (5.08 KB, patch)
2016-11-10 05:10 PST, Alejandro G. Castro
no flags Details | Formatted Diff | Diff
Patch (5.81 KB, patch)
2016-11-11 01:56 PST, Alejandro G. Castro
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alejandro G. Castro 2016-07-01 05:08:09 PDT
There is an skipped test (MediaStream-MediaElement-srcObject.html) and we are not handling that situation correctly in the htmlmediaelement handler.
Comment 1 Alejandro G. Castro 2016-11-10 05:01:09 PST
Checks were added to avoid the crash already but the test is not updated and it is skipped.
Comment 2 Alejandro G. Castro 2016-11-10 05:10:13 PST
Created attachment 294364 [details]
Patch
Comment 3 Philippe Normand 2016-11-11 00:02:55 PST
Comment on attachment 294364 [details]
Patch

Maybe try to unskip it on Mac too?
Comment 4 Alejandro G. Castro 2016-11-11 01:52:03 PST
(In reply to comment #3)
> Comment on attachment 294364 [details]
> Patch
> 
> Maybe try to unskip it on Mac too?

Right, I'll include it.
Comment 5 Alejandro G. Castro 2016-11-11 01:56:20 PST
Created attachment 294487 [details]
Patch
Comment 6 Alejandro G. Castro 2016-11-11 01:57:40 PST
I unskipped the test in the mac port but I could not test it, it would be great if youenn or eric can check the modification on mac before landing.
Comment 7 Philippe Normand 2016-11-11 04:44:48 PST
Comment on attachment 294487 [details]
Patch

The Mac EWS runs tests and didn't complain :)
Comment 8 WebKit Commit Bot 2016-11-15 04:14:03 PST
Comment on attachment 294487 [details]
Patch

Clearing flags on attachment: 294487

Committed r208729: <http://trac.webkit.org/changeset/208729>
Comment 9 WebKit Commit Bot 2016-11-15 04:14:06 PST
All reviewed patches have been landed.  Closing bug.